Page MenuHomePhabricator

Add phan to JsonConfig extension
Closed, ResolvedPublic

Description

As wmf deployed extension the JsonConfig extension should run phan on CI to found simple bugs in an earlier state of development.

Details

Related Gerrit Patches:
mediawiki/extensions/JsonConfig : masterbuild: Add mediawiki/mediawiki-phan-config
integration/config : master[JsonConfig] Add phan dependency and phan

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 8:51 PM
Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 538305 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [JsonConfig] Add phan dependency

https://gerrit.wikimedia.org/r/538305

Change 538308 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/JsonConfig@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/538308

Change 538308 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/538308

Change 538305 merged by jenkins-bot:
[integration/config@master] [JsonConfig] Add phan dependency and phan

https://gerrit.wikimedia.org/r/538305

Jdforrester-WMF closed this task as Resolved.Sep 20 2019, 7:43 PM
Jdforrester-WMF assigned this task to Umherirrender.